﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Security.Cryptography.X509Certificates;
using System.Text;
using Tsi1.DataLayer.Entities;

namespace Tsi1.DataLayer.EntityConfiguration
{
    class PostConfiguration : IEntityTypeConfiguration<Post>
    {
        public void Configure(EntityTypeBuilder<Post> builder)
        {
            builder.HasKey(x => x.Id);

            builder.HasIndex(x => new { x.ForumId, x.Title})
                .IsUnique();

            builder.Property(x => x.Title)
                .IsRequired()
                .HasColumnType("character varying(100)");

            builder.HasOne(x => x.User)
                .WithMany(x => x.Posts)
                .HasForeignKey(x => x.UserId);

            builder.HasOne(x => x.Forum)
                .WithMany(x => x.Posts)
                .HasForeignKey(x => x.ForumId);

        }
    }
}
