﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Text;
using Tsi1.DataLayer.Entities;

namespace Tsi1.DataLayer.EntityConfiguration
{
    public class SurveyAnswerConfiguration : IEntityTypeConfiguration<SurveyAnswer>
    {
        public void Configure(EntityTypeBuilder<SurveyAnswer> builder)
        {
            builder.HasKey(x => x.Id);

            builder.HasOne(x => x.AnswerOption)
                .WithMany(x => x.SurveyAnswers)
                .HasForeignKey(x => x.AnswerOptionId);

            builder.HasOne(x => x.SurveyResponse)
                .WithMany(x => x.SurveyAnswers)
                .HasForeignKey(x => x.SurveyResponseId);

            builder.HasOne(x => x.SurveyQuestion)
                .WithMany(x => x.SurveyAnswers)
                .HasForeignKey(x => x.SurveyQuestionId);
        }
    }
}
